BillKit/Docs Console
API keys

Create API key

Issue a new API key.

POST/v1/api_keys
Operation create_api_key · Scope api_keys:write · Spec snapshot 2026-09-13

Parameters

ParameterDescription
labelstring | nulloptionalAt most 255 characters.
scopesarray of string | nulloptionalNo description in the spec.

Returns

Returns an ApiKeyResponse object.

Errors

Status Cause
401 Missing or invalid API key.
403 Key is missing the api_keys:write scope.
422 Validation Error
429 Rate limited. Back off and retry.
Request · curl
curl -X POST https://api.billkit.eu/v1/api_keys \
  -H "Authorization: Bearer $BILLKIT_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'
Request body · every field
{
  "label": "string",
  "scopes": [
    "string"
  ]
}
Response · 200 OK
{
  "created": 1789392000,
  "id": "ak_9XKp2vQ1",
  "label": "string",
  "last_used_at": 1789392000,
  "livemode": false,
  "object": "api_key",
  "prefix": "string",
  "revoked_at": 1789392000,
  "scopes": [
    "string"
  ],
  "secret": "string"
}